Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038302
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2018-04-09 10:512018-05-09 19:29
ReportermaiteView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision07cbc0d9c389
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038302: Tax tab info is not correctly recalculated when negative child tax defined as "cascade" is modified

DescriptionWhen changing the tax in an already created purchase/sales order line (problem is NOT reproducible in invoices) Tax tab is not correctly recalculated (while Line Tax tab is)
Steps To Reproduce1. Access "Tax rate" window and set rate "Adquisiciones intracomunitarias 10% (-10%)" as "Cascade"
2. Create Purchase/sales Order record. Add line, set any product and Tax= Adquisiciones intracomunitarias 10%
3. Realize that both "Tax line" tab and "Tax" tab has children taxes correctly calculated
4. Access order line and change tax to set any other value (ie Entregas IVA 21% or Adquisiciones IVA 4%)
5. Access "Line tax" tab and realize that correct tax appears
6. However access "Tax" tab and realize that still one rate belonging to previous tax is there, which is wrong
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0037989 closedmarkmm82 Tax tab info is not correctly recalculated when tax defined as "Line Net Amount + Tax Amount" is modified 

-  Notes
(0104171)
collazoandy4 (developer)
2018-04-30 16:03

Test Plan
  Go to Tax Rate window and edit Adquisiciones intracomunitarias 10% (-10%) record set Cascade = Y
  Go to Purchase Order and create a new record for Bebidas Alegres, S.L. BP
    Create a new record in Line tab:
      Product: Cerveza Ale 0,5L
      Tax: Adquisiciones intracomunitarias 10%
      Check two new record in Line Tax tab and Tax tab:
        1. Tax: Adquisiciones intracomunitarias 10% (+10%) - IVA Reducido, Taxable Amount: 1.36, Tax Amount: 0.14
        2. Tax: Adquisiciones intracomunitarias 10% (-10%) - IVA Reducido, Taxable Amount: 1.50, Tax Amount: -0.15
      Edit the Tax in the previous line created set Adquisiciones IVA 21% and check only one line in Line Tax and Tax tabs:
        1. Tax: Adquisiciones IVA 21% - IVA Normal, Taxable Amount: 1.36, Tax Amount: 0.29
(0104222)
hgbot (developer)
2018-05-03 09:41

Repository: erp/devel/pi
Changeset: 07cbc0d9c389d4c79b0e3bf69f7d51f5cb9cfd0d
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Fri Apr 27 19:14:34 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/07cbc0d9c389d4c79b0e3bf69f7d51f5cb9cfd0d [^]

Fixes issue 38302:Tax tab info is not correctly recalculated when negative child
tax defined as "cascade" is modified

When an orderlinetax is removed and the line order it's not take into account
the triggers calculations can be incorrect.

Now the orderlinetax are removed in the proper order (lineno asc) to avoid
wrong calculations in the triggers.

---
M src-db/database/model/triggers/C_ORDERLINE_TRG2.xml
---
(0104223)
dmiguelez (developer)
2018-05-03 09:43

Code Review + Testing Ok
(0104425)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-04-09 10:51 maite New Issue
2018-04-09 10:51 maite Assigned To => Triage Finance
2018-04-09 10:51 maite Modules => Core
2018-04-09 10:51 maite Triggers an Emergency Pack => No
2018-04-09 10:51 maite Issue Monitored: networkb
2018-04-09 10:57 jfrances Issue Monitored: jfrances
2018-04-09 15:40 mgonzalezh Issue Monitored: mgonzalezh
2018-04-09 18:21 aferraz Relationship added related to 0037989
2018-04-09 19:43 aferraz Assigned To Triage Finance => collazoandy4
2018-04-18 02:36 collazoandy4 Status new => scheduled
2018-04-18 15:47 collazoandy4 Status scheduled => feedback
2018-04-19 09:54 maite Status feedback => new
2018-04-19 17:27 maite Steps to Reproduce Updated View Revisions
2018-04-27 02:12 collazoandy4 Status new => scheduled
2018-04-30 16:03 collazoandy4 Note Added: 0104171
2018-05-03 09:41 hgbot Checkin
2018-05-03 09:41 hgbot Note Added: 0104222
2018-05-03 09:41 hgbot Status scheduled => resolved
2018-05-03 09:41 hgbot Resolution open => fixed
2018-05-03 09:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/07cbc0d9c389d4c79b0e3bf69f7d51f5cb9cfd0d [^]
2018-05-03 09:43 dmiguelez Review Assigned To => dmiguelez
2018-05-03 09:43 dmiguelez Note Added: 0104223
2018-05-03 09:43 dmiguelez Status resolved => closed
2018-05-03 09:43 dmiguelez Fixed in Version => 3.0PR18Q3
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104425


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker